#!/bin/sh
# ----------------------------------------------------------------------------
# /var/install/dialog.d/WSDD_VERBOSE.sh - script dialog for ece
#
# Creation:     2020-03-10 Baeumer
# Last update:  WSDD_VERBOSE.sh 2020-03-10
#
# Copyright (c) Peter Baeumer, <eisfair(at)baeumer(dot)duckdns(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

# ----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
# ----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist="none, info, debug"

    ece_select_list_dlg "$win" "Einstellen der Ausfuehrlichkeit der Protokollausgabe" "$sellist"
}

# ----------------------------------------------------------------------------
# Main routine
# ----------------------------------------------------------------------------

cui_init
cui_run

# ----------------------------------------------------------------------------
# end
# ----------------------------------------------------------------------------

exit 0
